# BasicStringTable Class Reference

`#include <BasicStringTable.h>`

List of all members.

## Public Member Functions

| ~BasicStringTable ()
const char * | get (const char *str)

## Private Types

typedef std::set< const char *, ltstr > | table_t

## Private Attributes

table_t | table

## Member Typedef Documentation

typedef std::set<const char *, ltstr> BasicStringTable::table_t `[private]`

## Constructor & Destructor Documentation

BasicStringTable::~BasicStringTable | ( |  | ) |

## Member Function Documentation

const char * BasicStringTable::get | ( | const char * | str | ) |

## Member Data Documentation

table_t BasicStringTable::table `[private]`

The documentation for this class was generated from the following files:

- BasicStringTable.h
- BasicStringTable.cpp